%define upstream_name    Class-Data-Inheritable
%define upstream_version 0.10

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Inheritable, overrideable class data
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Class/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildArch:  noarch

%description
Class::Data::Inheritable is for creating accessor/mutators to class data. That
is, if you want to store something about your class as a whole (instead of
about a single object). This data is then inherited by your subclasses and can
be overridden.

%prep
%setup -q  -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor
%make_build

%check
%{__make} test

%install
%make_install

%files
%doc Changes META.json META.yml MYMETA.yml README
%{perl_vendorlib}/Class
%{_mandir}/*/*

%changelog
* Tue Jul 01 2025 umeabot <umeabot> 0.100.0-2.mga10
+ Revision: 2234342
- Mageia 10 Mass Rebuild

* Fri Jan 24 2025 tv <tv> 0.100.0-1.mga10
+ Revision: 2141350
- update to 0.10

* Mon Mar 21 2022 umeabot <umeabot> 0.90.0-2.mga9
+ Revision: 1814837
- Mageia 9 Mass Rebuild

* Mon Aug 02 2021 tv <tv> 0.90.0-1.mga9
+ Revision: 1738543
- update to 0.09

* Wed Feb 12 2020 umeabot <umeabot> 0.80.0-9.mga8
+ Revision: 1493527
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Wed Sep 19 2018 umeabot <umeabot> 0.80.0-8.mga7
+ Revision: 1266302
- Mageia 7 Mass Rebuild

* Sat Jun 18 2016 pterjan <pterjan> 0.80.0-7.mga6
+ Revision: 1023905
- Rebuild for perl 5.22.2

* Sat Feb 06 2016 umeabot <umeabot> 0.80.0-6.mga6
+ Revision: 941393
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.80.0-5.mga5
+ Revision: 743128
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.80.0-4.mga5
+ Revision: 683905
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.80.0-3.mga4
+ Revision: 510157
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.80.0-2.mga3
+ Revision: 364342
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jan 18 2011 jquelin <jquelin> 0.80.0-1.mga1
+ Revision: 22113
- cleaning spec file
- imported package perl-Class-Data-Inheritable


* Wed Jul 29 2009 Jérôme Quelin <jquelin@mandriva.org> 0.80.0-1mdv2010.1
+ Revision: 403007
- rebuild using %%perl_convert_version

* Wed Jul 30 2008 Thierry Vignaud <tv@mandriva.org> 0.08-3mdv2009.0
+ Revision: 255897
- rebuild

* Sat Jan 26 2008 Guillaume Rousse <guillomovitch@mandriva.org> 0.08-1mdv2008.1
+ Revision: 158295
- new version

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Tue May 01 2007 Olivier Thauvin <nanardon@mandriva.org> 0.06-1mdv2008.0
+ Revision: 19780
- 0.06


* Mon Aug 28 2006 Guillaume Rousse <guillomovitch@mandriva.org> 0.05-1mdv2007.0
- New version 0.05
- spec cleanup

* Mon Sep 26 2005 Nicolas Lécureuil <neoclust@mandriva.org> 0.04-1mdk
- New release 0.04

* Thu Sep 23 2004 Lenny Cartier <lenny@mandrakesoft.com> 0.02-7mdk
- rebuild

